=== modified file 'README'
--- README	2015-07-24 08:40:29 +0000
+++ README	2015-08-11 08:55:09 +0000
@@ -10,17 +10,18 @@
 
 To deploy:
 
-./setup.sh    # installs pre-requisites
-./maas_deployer.py -c deployment.yaml    # creates the juju bootstrap and maas virtual machines
+  sudo apt-get install maas-deployer
+  maas-deployer -c deployment.yaml  # creates juju bootstrap and maas virtual machines
 
 
 To cleanup and try again:
-./clean.sh     # Note, this assumes default node names in sample deployment file.
+
+  maas-deployer -c deployment.yaml --force  # assumes default node names in sample deployment file
 
 
 What should work:
- - The MAAS node should be provisioned and configured.
- - The boot-images should be in progress of being downloaded.
+ - The MAAS node should be provisioned and configured
+ - The boot-images should be in progress of being downloaded
  - configuration parameters configured in MAAS
  - nodes commissioning in maas
  - nodes tagged appropriately (api, bootstrap, etc)
@@ -28,4 +29,4 @@
  - Nodes are commissioned and ready
 
 Known Issues:
- - Juju scripts are not started automatically yet.
+ - Juju scripts are not started automatically yet

=== added directory 'examples'
=== renamed file 'deployment.yaml' => 'examples/deployment.yaml'
=== added directory 'maas_deployer'
=== added file 'maas_deployer/__init__.py'
=== renamed file 'maas_deployer.py' => 'maas_deployer/cli.py'
--- maas_deployer.py	2015-07-27 13:53:31 +0000
+++ maas_deployer/cli.py	2015-08-11 08:55:09 +0000
@@ -22,11 +22,11 @@
 log.addHandler(handler)
 
 
-from vmaas.engine import DeploymentEngine
-from vmaas.util import CONF as cfg
-
-
-if __name__ == '__main__':
+from maas_deployer.vmaas.engine import DeploymentEngine
+from maas_deployer.vmaas.util import CONF as cfg
+
+
+def main():
     cfg.parser.add_argument('-c', '--config', type=str,
                             default='deployment.yaml', required=False)
     cfg.parser.add_argument('-d', '--debug', action='store_true',
@@ -89,3 +89,7 @@
         raise
     else:
         log.info("MAAS deployment completed.")
+
+
+if __name__ == '__main__':
+    main()

=== renamed directory 'vmaas' => 'maas_deployer/vmaas'
=== modified file 'maas_deployer/vmaas/engine.py'
--- vmaas/engine.py	2015-07-27 14:48:52 +0000
+++ maas_deployer/vmaas/engine.py	2015-08-11 08:55:09 +0000
@@ -14,13 +14,13 @@
 import sys
 import time
 
-from vmaas import (
+from maas_deployer.vmaas import (
     vm,
     util,
     template,
 )
 
-from vmaas.maasclient import (
+from maas_deployer.vmaas.maasclient import (
     bootimages,
     MAASClient,
     Tag,

=== modified file 'maas_deployer/vmaas/maasclient/__init__.py'
--- vmaas/maasclient/__init__.py	2015-07-23 16:20:28 +0000
+++ maas_deployer/vmaas/maasclient/__init__.py	2015-08-11 08:55:09 +0000
@@ -5,8 +5,8 @@
 '''
 import logging
 
-from vmaas.maasclient.apidriver import APIDriver
-from vmaas.maasclient.clidriver import SSHDriver
+from maas_deployer.vmaas.maasclient.apidriver import APIDriver
+from maas_deployer.vmaas.maasclient.clidriver import SSHDriver
 
 log = logging.getLogger('vmaas.main')
 

=== modified file 'maas_deployer/vmaas/maasclient/apidriver.py'
--- vmaas/maasclient/apidriver.py	2015-07-23 16:20:28 +0000
+++ maas_deployer/vmaas/maasclient/apidriver.py	2015-08-11 08:55:09 +0000
@@ -7,8 +7,8 @@
 import logging
 
 from apiclient import maas_client as maas
-from vmaas.maasclient.driver import MAASDriver
-from vmaas.maasclient.driver import Response
+from maas_deployer.vmaas.maasclient.driver import MAASDriver
+from maas_deployer.vmaas.maasclient.driver import Response
 from urllib2 import HTTPError
 
 log = logging.getLogger('vmaas.main')

=== modified file 'maas_deployer/vmaas/maasclient/clidriver.py'
--- vmaas/maasclient/clidriver.py	2015-07-27 13:44:01 +0000
+++ maas_deployer/vmaas/maasclient/clidriver.py	2015-08-11 08:55:09 +0000
@@ -12,12 +12,12 @@
     CalledProcessError,
 )
 
-from vmaas.util import (
+from maas_deployer.vmaas.util import (
     execc,
     flatten,
 )
-from vmaas.maasclient.driver import MAASDriver
-from vmaas.maasclient.driver import Response
+from maas_deployer.vmaas.maasclient.driver import MAASDriver
+from maas_deployer.vmaas.maasclient.driver import Response
 
 log = logging.getLogger('vmaas.main')
 

=== modified file 'maas_deployer/vmaas/template.py'
--- vmaas/template.py	2015-07-23 16:20:28 +0000
+++ maas_deployer/vmaas/template.py	2015-08-11 08:55:09 +0000
@@ -5,7 +5,7 @@
 from jinja2 import Environment, PackageLoader
 
 env = Environment()
-env.loader = PackageLoader('vmaas', 'templates')
+env.loader = PackageLoader('maas_deployer.vmaas', 'templates')
 
 
 def load(name, params):

=== modified file 'maas_deployer/vmaas/tests/test_utils.py'
--- vmaas/tests/test_utils.py	2015-07-27 14:48:52 +0000
+++ maas_deployer/vmaas/tests/test_utils.py	2015-08-11 08:55:09 +0000
@@ -3,7 +3,7 @@
 #
 
 import unittest
-from vmaas import util
+from maas_deployer.vmaas import util
 
 
 class TestUtil(unittest.TestCase):

=== modified file 'maas_deployer/vmaas/vm.py'
--- vmaas/vm.py	2015-07-26 21:56:31 +0000
+++ maas_deployer/vmaas/vm.py	2015-08-11 08:55:09 +0000
@@ -17,12 +17,12 @@
 from lxml import etree
 from subprocess import CalledProcessError
 
-import vmaas.template as template
+import maas_deployer.vmaas.template as template
 
-from vmaas.exception import (
+from maas_deployer.vmaas.exception import (
     MAASDeployerResourceAlreadyExists,
 )
-from vmaas.util import (
+from maas_deployer.vmaas.util import (
     execc,
     virsh,
     CONF as cfg,

=== added file 'setup.py'
--- setup.py	1970-01-01 00:00:00 +0000
+++ setup.py	2015-08-11 08:55:09 +0000
@@ -0,0 +1,21 @@
+from setuptools import setup, find_packages
+
+setup(
+    name="maas-deployer",
+    version="0.0.1",
+    description="A tool for deploying MAAS clusters using virtual machines.",
+    long_description=open("README").read(),
+    author="Billy Olsen",
+    author_email="billy.olsen@gmail.com",
+    url="https://launchpad.net/maas-deployer",
+    packages=find_packages(),
+    classifiers=[
+        "Development Status :: 2 - Pre-Alpha",
+        "Programming Language :: Python",
+        "Topic :: Internet",
+        "Topic :: Software Development :: Libraries :: Python Modules",
+        "Intended Audience :: Developers"],
+    test_suite="maas_deployer.vmaas.tests",
+    entry_points={
+        "console_scripts": [
+            'maas-deployer = maas_deployer.cli:main']})

=== removed file 'setup.sh'
--- setup.sh	2015-07-23 16:20:28 +0000
+++ setup.sh	1970-01-01 00:00:00 +0000
@@ -1,16 +0,0 @@
-#!/bin/bash
-DEPS=(
-    cloud-image-utils
-    kvm
-    python-bson
-    python-httplib2
-    python-jinja2
-    python-libvirt
-    python-lxml
-    python-maas-client
-    python-yaml
-    virtinst
-)
-
-sudo apt-get install -y ${DEPS[@]}
-

